<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [NetscriptPort](./bitburner.netscriptport.md) &gt; [nextWrite](./bitburner.netscriptport.nextwrite.md)

## NetscriptPort.nextWrite() method

Sleeps until the port is written to.

**Signature:**

```typescript
nextWrite(): Promise<void>;
```
**Returns:**

Promise&lt;void&gt;

## Remarks

RAM cost: 0 GB

